//------------------------------------------------------------------------------
// Unkommentierte Version von HelloWorld.cc

// Von jedem Beispielprogramm ist eine unkommentierte Version vorhanden. 
// Viele Kommentare sind zwar wichtig zum Verstndnis, aber manchmal stren
// sie auch, da es unbersichtlich werden kann. Ohne Kommentare kann man
// auch viel besser erkennen wie lang bzw. kurz die Programme eigentlich
// wirklich sind und die Struktur besser berblicken. 
//
// Die unkommentierten Versionen knnen auch gut als Vorlage fr eigene
// Programme verwendet werden!

#include "../../RP6CCLib/RP6CCLib.cc"

void main(void)
{
	RP6_CCPRO_Init(); 

    showScreenLCD("RP6 CCPRO M128", "Hello World!");

    beep(200,200,100); 
    beep(100,100,100);

    newline();
    println("   ________________________");
    println("   \\| RP6  ROBOT SYSTEM |/");
    println("    \\_-_-_-_-_-_-_-_-_-_/ ");
    newline();
    println("    Let's go!  ");
    newline();

    clearPosLCD(1,0,16);

    AbsDelay(1000);

    byte runLight, dir;  
    runLight = 1;
    dir = 0; 
    while(true)
    {
		setLEDs(runLight);

		if(runLight >= 16) {
            dir = 1;
            setCursorPosLCD(1,4);
            printLCD("<<<<----");
        }
		else if (runLight <= 1) {
			dir = 0;
            setCursorPosLCD(1,4);
            printLCD("---->>>>");
        }

		if(dir == 0)
			runLight = runLight << 1;
		else
			runLight = runLight >> 1;

        AbsDelay(150);
    }
}
