//------------------------------------------------------------------------------
// Unkommentierte Version von RP6_I2C.cc

#include "../../RP6CCLib/RP6CCLib.cc"

#define RP6_BASE_ADR 10

void main(void)
{
	RP6_CCPRO_Init(); 
	
    newline();
    println("   ________________________");
    println("   \\| RP6  ROBOT SYSTEM |/");
    println("    \\_-_-_-_-_-_-_-_-_-_/ ");
    newline();
    println("  I2C Testprogram  ");
    newline();

    beep(100, 200, 300);

    showScreenLCD("I2C Testprogram", "LEDs:         ");

    byte leds;
    byte led_test;
    leds = 1;

    char tmp[17];

    while(true)
    {
        RP6_writeCMD_1param(RP6_BASE_ADR, CMD_SETLEDS, leds);
        AbsDelay(10);
        
        led_test = RP6_readRegister(RP6_BASE_ADR, I2C_REG_LEDS);

        setCursorPosLCD(1,6);
        if(led_test == leds) { 
            Str_WriteInt(led_test,tmp,0);
            writeStringLCD(tmp);
            printLCD("    ");
        }
        else {
            printLCD("ERROR!");
            println("I2C COMMUNICATION ERROR!");
        }
        leds = leds << 1;
        if(leds > 63)
            leds = 1;

        AbsDelay(250);
    }
}


