//------------------------------------------------------------------------------
// Unkommentierte Version von RP6_Sensors5.cc

#include "../../RP6CCLib/RP6CCLib.cc"

#include "RP6MasterLib.cc"

#include "RP6_Sensorcheck.cc"


void main(void)
{
	RP6_CCPRO_Init();

    newline();
    println("   ________________________");
    println("   \\| RP6  ROBOT SYSTEM |/");
    println("    \\_-_-_-_-_-_-_-_-_-_/ ");
    newline();
    println("  RP6 Sensor Reading 5 ");
    newline();

    beep(100, 200, 300);

    showScreenLCD("ACS", " ");

    RP6_writeCMD_1param(RP6_BASE_ADR, CMD_SET_ACS_POWER, ACS_PWR_MED);
    RP6_writeCMD_1param(RP6_BASE_ADR, CMD_SET_WDT, true);
    RP6_writeCMD_1param(RP6_BASE_ADR, CMD_SET_WDT_RQ, true);

    Thread_Start(1,thread_checkINT0);

    RP6_writeCMD_1param(RP6_BASE_ADR, CMD_SETLEDS, LED1 | LED4);
    
    while(true)
    {
        Thread_Delay(10);
    }
}


