//------------------------------------------------------------------------------
// Unkommentierte Version von RP6_Movement3.cc

#include "../../RP6CCLib/RP6CCLib.cc"

#include "RP6MasterLib.cc"

#include "RP6_Sensorcheck.cc"

void blink(void)
{
    while(true)
    {
        setRP6LEDs(LED2 | LED3);
        setLEDs(LED3 | LED4 | LED5);
        Thread_Delay(5);
        setLEDs(0);  
        Thread_Delay(30);
        setRP6LEDs(LED5 | LED6);
        setLEDs(LED3 | LED4 | LED5);
        Thread_Delay(5);
        setLEDs(0);
        Thread_Delay(30);
    }
}

void check_bumpers(void)
{
    byte stopped;
    stopped = false;

    while(true)
    {
        if(!stopped) { 
            if(bumperLeft || bumperRight)
            {
                stop();
                Thread_Start(3,blink);
                stopped = true;
                setCursorPosLCD(1,0);
                printLCD("Ouch! Crash! :-(");
            }
        }
        Thread_Delay(1);
    }
}

void main(void)
{
	RP6_CCPRO_Init();

    newline();
    println("   ________________________");
    println("   \\| RP6  ROBOT SYSTEM |/");
    println("    \\_-_-_-_-_-_-_-_-_-_/ ");
    newline();
    println("  RP6 Movement DEMO 3 ");
    newline();

    beep(100, 200, 300);

    showScreenLCD("Movement", "DEMO Program 3");
    AbsDelay(2000);
    clearLCD();

    RP6_writeCMD_1param(RP6_BASE_ADR, CMD_SET_ACS_POWER, ACS_PWR_MED);
    RP6_writeCMD_1param(RP6_BASE_ADR, CMD_SET_WDT, true);
    RP6_writeCMD_1param(RP6_BASE_ADR, CMD_SET_WDT_RQ, true);

    Thread_Start(1,thread_checkINT0);
    Thread_Start(2,check_bumpers);

    changeDirection(FWD);
    moveAtSpeed(80,30);

    setCursorPosLCD(1,0);
    printLCD("Moving...    :-)");

    while(true)
    {
        Thread_Delay(1);
    }
}


