//------------------------------------------------------------------------------
// Unkommentierte Version von RP6_Movement.cc

#include "../../RP6CCLib/RP6CCLib.cc"

#include "RP6MasterLib.cc"

#include "RP6_Sensorcheck.cc"

void main(void)
{
	RP6_CCPRO_Init(); 

    newline();
    println("   ________________________");
    println("   \\| RP6  ROBOT SYSTEM |/");
    println("    \\_-_-_-_-_-_-_-_-_-_/ ");
    newline();
    println("  RP6 Movement DEMO 1 ");
    newline();

    beep(100, 200, 300);

    showScreenLCD("Movement", "DEMO Program 1");
    AbsDelay(2000);
    clearLCD();

    RP6_writeCMD_1param(RP6_BASE_ADR, CMD_SET_ACS_POWER, ACS_PWR_MED);
    RP6_writeCMD_1param(RP6_BASE_ADR, CMD_SET_WDT, true);
    RP6_writeCMD_1param(RP6_BASE_ADR, CMD_SET_WDT_RQ, true);

    Thread_Start(1,thread_checkINT0);

    while(true)
    {
        setRP6LEDs(LED3 | LED6);
        RP6_move_mm(50,FWD,250,BLOCKING); 
        setRP6LEDs(LED3 | LED4);
        RP6_rotate(50,LEFT,180,BLOCKING);
        setRP6LEDs(LED3 | LED6);
        RP6_move_mm(50,FWD,250,BLOCKING); 
        setRP6LEDs(LED1 | LED6);
        RP6_rotate(50,RIGHT,180,BLOCKING); 
        Thread_Delay(100);
    }
}


